<div class="dashboard-wrapper" *ngIf="restaurants.length; else loading">
    <div class="dashboard-restraunt-wrapper" *ngFor="let restaurant of restaurants; let idx = index">
        <ng-container *ngIf="authService.currentUser?.id === restaurant.userId">
            <div class="dashboard-restraunt">
                <p-card [header]="restaurant.name" subheader="">
                    <ng-template pTemplate="header">
                        <a [routerLink]="['./restaurant', restaurant.id]">
                        <img alt="Card" [src]="restaurant.photo || '/assets/Photo/agat.jpg'" />
                    </a>
                    </ng-template>
                    <p class="mb-5">
                        {{ restaurant.description }}
                    </p>

                    <div>
                    <button pButton pRipple label="Додати до меню" class="p-button-success" [routerLink]="['/profile/restaurant/' + restaurant.id + '/add-menu']"></button>
                    <button pButton pRipple label="Видалити" class="p-button-danger ml-5" (click)="removeRestaurant(restaurant.id)"></button>
                    </div>
                </p-card>
            </div>
            <div class="dashboard-menu-wrapper">
              <ng-container *ngFor="let menu of menus; let i = index">
                <div class="dashboard-menu" *ngIf="menu.restaurantId === restaurant.id">
                  <p-card [header]="menu.name" [subheader]="menu.price">
                      <ng-template pTemplate="header">
                          <div class="menu-image">
                              <img alt="Card" [src]="menu.photoUrl" />
                          </div>
                      </ng-template>
                      <p>{{menu.ingredients}}</p>
                      <ng-template pTemplate="footer">
                        
                        <p-button (click)="removeMenu(menu.id)" label="Видалити" styleClass="p-button-rounded p-button-danger"></p-button>
                      </ng-template>
                  </p-card>
                </div>
              </ng-container>
            </div>
        </ng-container>
    </div>
</div>

<ng-template #loading>
    <p class="text-center">Завантаження...</p>
</ng-template>

